## freeglut 2.6.0

=== debian/changelog ===
freeglut (2.6.0-4) unstable; urgency=low

  [ Anton Gladky ]
  * [8100d04] [861ed2a] Install dbg-file into correct place. (Closes: #681513)

  [ Sebastian Ramacher ]
  * [4083802] Fix buffer overflow. (Closes: #430160)

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 13 Jul 2012 23:52:39 +0200

freeglut (2.6.0-3) unstable; urgency=low

  [ Anton Gladky ]
  * [14a5bb4] Use compat-level 9.
  * [9adaee5] Implement multiarch. (Closes: #677735)
  * [3b4bc1a] Fix path to dbg-libraries. (Closes: #331244)
  * [a515c32] Set DM-Upload-Allowed to yes.
  * [3439f5b] Disable *fghJoystickWalkUSBdev on kfreeBSD* systems. 
              Prevents FTBFS on those platforms. (Closes: #678571)

  [ Michael Gilbert ]
  * [68e563b] Automatically handle build flags via debhelper 9.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 30 Jun 2012 16:45:48 -0400

freeglut (2.6.0-2) unstable; urgency=low

  * [58daa57] Simplify debian/rules, use dh 8.
  * [994c8be] Add myself as maintainer. (Closes: #674870)
  * [8d9ff8a] Move git-repository to collab-maint.
  * [1949549] Fix hardcoded list of kFreeBSD architectures. (Closes: #634674)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 19 Jun 2012 20:42:58 +0200

freeglut (2.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * FTBFS with binutils-gold (Closes: #554405)
    - debian/patches/04_ld_no_add_needed.diff 
    - debian/patches/05_gold.diff 
      thanks to Matthias Klose <doko@ubuntu.com>.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 09 Jan 2012 17:23:54 +0900

freeglut (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update Standards-Version to 3.8.4.
  * Move to 3.0 (quilt) source format.
  * Add missing ${misc:Depends}.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 27 Mar 2010 12:02:20 +0000

freeglut (2.4.0-9) unstable; urgency=low

  * Adjust 01_fix_kfreebsd.diff for GNU/kfreebsd 8.x.
    Thanks to Petr Salinger <Petr.Salinger@seznam.cz>. Closes: #561078.
  * Fix hurd FTBFS. Thanks to Pino Toscano <pino@kde.org>.
    Closes: #553409.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 14 Dec 2009 22:22:41 +0000

freeglut (2.4.0-8) unstable; urgency=low

  * Move autoreconf to build time. Closes: #345224.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 01 Sep 2009 19:07:14 +0100

freeglut (2.4.0-7) unstable; urgency=low

  * New maintainer. Closes: #543435.
  * Acknowledge previous NMU.
  * debian/control
    - Update Standards-Version to 3.8.3.
    - Replace Source-Version substvar.
    - Add Vcs-* and Homepage fields.
    - Update debhelper version to 7.
    - Adjust descriptions.
    - Fix debug package section and priority.
    - Remove outdated conflicts, provides and depends.
  * Move top srcdir changes to quilt patch system.
  * Tidy up debian/rules.
  * Use config.{guess,sub} from autotools-dev.
  * Convert copyright to machine readable format.

 -- Bradley Smith <bradsmith@debian.org>  Mon, 31 Aug 2009 15:04:47 +0100

freeglut (2.4.0-6.1) unstable; urgency=low

  * NMU.
  * autogen.sh, debian/control: Use automake 1.9 instead of automake
    1.8. (Closes: #473305)

 -- Eric Dorland <eric@debian.org>  Sat, 03 May 2008 00:50:47 -0400

freeglut (2.4.0-6) unstable; urgency=low

  * Acknowledge NMUs.  Thanks Daniel and Aurelien!
    (Closes: #362210, #442388, #345224)
  * Updated watch file regex.
  * Updated standards version to 3.7.2
  * re-Lintian-clean the package.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 Nov 2007 02:27:06 +1100

freeglut (2.4.0-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compilation with gcc-4.2.  Closes: #362210.

 -- Daniel Schepler <schepler@debian.org>  Sat, 15 Sep 2007 13:25:04 -0400

freeglut (2.4.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libusbhid on GNU/kFreeBSD.
  * Fix FreeBSD kernel detection.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Mar 2007 18:22:09 +0100

freeglut (2.4.0-5) unstable; urgency=low

  * Bumped standards version to 3.6.2 (no other changed required).
  * Dump config.log if configure blows up.
  * Provide and conflict freeglut-dev and libglut-dev as per LPG.
  * Update depends on dev package to match build depends, as per LPG.
  * Updated watch file to match sourceforge syntax in uscan manual.

 -- Jamie Wilkinson <jaq@debian.org>  Wed,  5 Apr 2006 15:51:26 +1000

freeglut (2.4.0-4) unstable; urgency=low

  * Added watch file.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 17 Nov 2005 15:06:16 +1100

freeglut (2.4.0-3) unstable; urgency=low

  * Fix GLUT_CURSOR_INHERIT bug, with patch from Vilhelm Sjöberg
    <vilhelm@home.se>, via Enrique Vaamonde <evaamo@cantv.net>.
    (Closes: #334446)

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 17 Nov 2005 14:43:12 +1100

freeglut (2.4.0-2) unstable; urgency=low

  * Really fix the build dependencies for libGL.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 13 Oct 2005 19:20:21 +1000

freeglut (2.4.0-1) unstable; urgency=low

  * New upstream release.  (Closes: #319365, #331552)
    - Fixes key repeat bug. (Closes: #248201, #293687)
    - Remove patch for GLUT_XLIB_IMPLEMENTATION as now fixed upstream.
    - GLUT_ACTION_CONTINUE_EXECUTION fixed in new upstream.
      (Closes: #306369, 325067)
    - Acknowledge NMU 2.2.0-8.1: 64bit fixes incorporated upstream.
      (Closes: #296242)
  * Update build dependencys on libGL and libGLU from Xorg. (Closes: #323177)
  * Remove dependency on transition packages that no longer exist.
    (Closes: #265373)
  * Add build dependency on autogoats.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 13 Oct 2005 09:45:46 +1000

freeglut (2.2.0-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Paul Brook to fix build failure with GCC 4.0
    (Closes: #296242).

 -- Roger Leigh <rleigh@debian.org>  Tue, 19 Jul 2005 23:15:25 +0100

freeglut (2.2.0-8) unstable; urgency=low

  * Added stripped debugging symbols to the freeglut3-dbg package.


