=== debian/control ===
Source: freeglut
Section: graphics
Priority: optional
Maintainer: Anton Gladky <gladky.anton@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), libx11-dev, libxt-dev, libxext-dev, libxi-dev, 
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, 
  libusbhid-dev [kfreebsd-any], quilt, autotools-dev, 
  autoconf, automake, libtool
Standards-Version: 3.9.3
Homepage: http://freeglut.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/freeglut.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/freeglut.git

Package: freeglut3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: OpenGL Utility Toolkit
 GLUT is a window system independent toolkit for writing OpenGL programs,
 implementing a simple windowing API, which makes learning about and
 exploring OpenGL programming very easy.
 .
 GLUT is designed for constructing small to medium sized OpenGL programs,
 however it is not a full-featured toolkit, so large applications requiring
 sophisticated user interfaces are better off using native window system
 toolkits like GTK+ or Motif.

Package: freeglut3-dev
Section: libdevel
Architecture: any
Depends: freeglut3 (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, 
  libglu1-mesa-dev | libglu-dev, libxt-dev, libxext-dev, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: OpenGL Utility Toolkit development files
 GLUT is a window system independent toolkit for writing OpenGL programs.
 It implements a simple windowing API, which makes learning about and
 exploring OpenGL programming very easy.
 .
 GLUT is designed for constructing small to medium sized OpenGL programs,
 however it is not a full-featured toolkit, so large applications requiring
 sophisticated user interfaces are better off using native window system
 toolkits like GTK+ or Motif.
 .
 This package contains libraries, and headers suitable for software
 development with GLUT.

Package: freeglut3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: freeglut3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: OpenGL Utility Toolkit debugging information
 GLUT is a window system independent toolkit for writing OpenGL programs.
 It implements a simple windowing API, which makes learning about and
 exploring OpenGL programming very easy.
 .
 GLUT is designed for constructing small to medium sized OpenGL programs,
 however it is not a full-featured toolkit, so large applications requiring
 sophisticated user interfaces are better off using native window system
 toolkits like GTK+ or Motif.
 .
 This package contains debugging symbols useful for tracing bugs in the
 freeglut3 package.
