## freeglut 2.8.1

=== debian/changelog ===
freeglut (2.8.1-6) unstable; urgency=medium

  [ Steve Langasek ]
  * [59e890b] Make autopkgtests cross-test-friendly. (Closes: #959986)

 -- Anton Gladky <gladk@debian.org>  Sat, 09 May 2020 13:54:39 +0200

freeglut (2.8.1-5) unstable; urgency=medium

  * [53d3486] Return build-dependency for kfreebsd

 -- Anton Gladky <gladk@debian.org>  Fri, 01 May 2020 21:59:25 +0200

freeglut (2.8.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove Testsuite field, not needed anymore
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Anton Gladky ]
  * [0b99608] Set field Upstream-Name in debian/copyright.
  * [f36fdc8] Drop unnecessary dependency on dh-autoreconf.
  * [b5ecb93] Drop unnecessary dh arguments: --parallel

 -- Anton Gladky <gladk@debian.org>  Thu, 30 Apr 2020 22:56:31 +0200

freeglut (2.8.1-3) unstable; urgency=medium

  * [1ee10b3] Update gitignore.
  * [760519c] Apply cme fix dpkg.
  * [16b70eb] Drop dbg-package.
  * [85228ed] Simplify d/rules.
  * [35e9471] Apply cme fix dpkg-copyright.

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Aug 2016 20:58:07 +0200

freeglut (2.8.1-2) unstable; urgency=medium

  * [2c0bc01] Set canonical VCS.
  * [0e0c4d2] Set Standard-Versions: 3.9.5. No changes.
  * [426cece] Remove logo-download.
  * [2804176] Add autopkgtests.
  * [5da44c7] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Sat, 24 May 2014 08:59:05 +0200

freeglut (2.8.1-1) unstable; urgency=low

  * [023bfc0] Imported Upstream version 2.8.1
  * [e03d270] Bump Standards-Version: 3.9.4, no changes.
  * [995b0db] Remove obsolete DM-Upload flag.
  * [9ace4fe] Use dh-autoreconf.
  * [31238c7] Remove BD on quilt.

 -- Anton Gladky <gladk@debian.org>  Wed, 01 May 2013 21:18:44 +0200

freeglut (2.8.0-1~exp1) experimental; urgency=low

  [ Chow Loong Jin ]
  * [cd908f0] Build-depend on libxxf86vm-dev for amd64 and i386.

  [ Anton Gladky ]
  * [3fbf337] Imported Upstream version 2.8.0. (Closes: #660518)
  * [adf33b7] Update/remove patches.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 19 Nov 2012 19:14:36 +0100
