=== debian/control ===
Source: freeglut
Maintainer: Anton Gladky <gladk@debian.org>
Section: graphics
Priority: optional
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libtool,
               libusbhid-dev [kfreebsd-any],
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxt-dev,
               libxxf86vm-dev [amd64 i386]
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/freeglut
Vcs-Git: https://salsa.debian.org/debian/freeglut.git
Homepage: http://freeglut.sourceforge.net/

Package: freeglut3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenGL Utility Toolkit
 GLUT is a window system independent toolkit for writing OpenGL programs,
 implementing a simple windowing API, which makes learning about and
 exploring OpenGL programming very easy.
 .
 GLUT is designed for constructing small to medium sized OpenGL programs,
 however it is not a full-featured toolkit, so large applications requiring
 sophisticated user interfaces are better off using native window system
 toolkits like GTK+ or Motif.

Package: freeglut3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: freeglut3 (= ${binary:Version}),
         libgl1-mesa-dev,
         libglu1-mesa-dev,
         libxext-dev,
         libxt-dev,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenGL Utility Toolkit development files
 GLUT is a window system independent toolkit for writing OpenGL programs.
 It implements a simple windowing API, which makes learning about and
 exploring OpenGL programming very easy.
 .
 GLUT is designed for constructing small to medium sized OpenGL programs,
 however it is not a full-featured toolkit, so large applications requiring
 sophisticated user interfaces are better off using native window system
 toolkits like GTK+ or Motif.
 .
 This package contains libraries, and headers suitable for software
 development with GLUT.
