=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

override_dh_auto_configure:
	dh_auto_configure
	sed -i '18d' $(CURDIR)/doc/index.html # Clean from non-free logo

override_dh_auto_install-arch:
	dh_auto_install -a
	find . -name '*.la' -print0 | xargs -0 rm -f
