=== debian/watch ===
version=3
https://sf.net/freeglut/freeglut-([\d.]+)\.tar\.gz
