## freeglut 3.4.0

=== debian/changelog ===
freeglut (3.4.0-6) unstable; urgency=medium

  * [a08526f] Increase minimum CMake version (Closes: #1112935)

 -- Anton Gladky <gladk@debian.org>  Wed, 08 Oct 2025 22:41:34 +0200

freeglut (3.4.0-5) unstable; urgency=medium

  [ Henrique F. Simoes ]
  * [599fda5] Revert direct changes to CMakeLists.txt
  * [43b21e2] Fix FTBFS with GCC-15 (Closes: #1096655)

  [ Anton Gladky ]
  * [3374b79] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Sat, 04 Oct 2025 14:57:16 +0200

freeglut (3.4.0-4) unstable; urgency=medium

  * [376dbf8] Add Breaks/Replace for freeglut3. (Closes: #1090903)

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Dec 2024 21:45:03 +0100

freeglut (3.4.0-3) unstable; urgency=medium

  * [b4a5753] Update so version

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Dec 2024 06:28:45 +0100

freeglut (3.4.0-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * [53cdad7] Switch to libgl-dev package (Closes: #998336)
  * [ef1f4fc] Fix some lintian warnings.

  [ Anton Gladky ]
  * [7c785ad] Update description.
  * [94902b4] Do not expand so-version. (Closes: #1085576)
  * [b54ad98] d/control: set Standards-Version to 4.7.0
  * [ad859cb] Update install files.
  * [5ea74d8] Remove deps on libglu1-mesa-dev. (Closes: #998336)

  [ Patrice Duroux ]
  * [be4cba7] Update d/watch. (Closes: #1081710)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Dec 2024 18:28:32 +0100

freeglut (3.4.0-1) unstable; urgency=medium

  * Upload into unstable. 
    Closes: #320375, #456516, #575025, #593599, #600961,
            #640534, #853252, #956847, #984562, #85968

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Nov 2022 21:59:02 +0100

freeglut (3.4.0-1~exp2) experimental; urgency=medium

  * [17a8bc6] Reintroduce freeglut3-dev as a transitional package.

 -- Anton Gladky <gladk@debian.org>  Fri, 04 Nov 2022 07:15:18 +0100

freeglut (3.4.0-1~exp1) experimental; urgency=medium

  * [e16c2bf] New upstream version 3.4.0
  * [a74511c] Update install-files

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Oct 2022 19:24:06 +0200

freeglut (3.2.2-1~exp2) experimental; urgency=medium

  * [2863f42] Add Breaks+Replaces: freeglut3-dev. (Closes: #1021538)

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Oct 2022 18:52:17 +0200

freeglut (3.2.2-1~exp1) experimental; urgency=medium

  [ Helmut Grohne ]
  * [062871b] rop unused Build-Depends: libxt-dev. (Closes: #981314)

  [ Anton Gladky ]
  * [7326975] Clean d/rules
  * [d4560e8] Rename binaries
  * [5dad387] Add provides-section
  * [3149587] Update changelog.
  * [025d6c2] Update gitlab-ci.
  * [7ab9ecf] New upstream version 3.2.2
  * [0e1cead] Update watch file format version to 4.
  * [e98620f] Use secure URI in Homepage field.
  * [b3ed672] Update standards version to 4.6.1, no changes needed.
  * [dfe42f3] Update patches

 -- Anton Gladky <gladk@debian.org>  Fri, 07 Oct 2022 22:49:35 +0200

freeglut (3.2.1-1~exp2) experimental; urgency=medium

  * [05a9410] New upstream version 3.2.1
  * [ed1eb70] Remove old patches
  * [efeb33c] Set Standards-version to 4.5.1
  * [7d6f9eb] Fix compilation against gcc-10
  * [8fa5fc7] Install all needed files
  * [58292fd] Update gitlab-ci

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Aug 2021 22:46:05 +0200
